<!DOCTYPE html>

<html xmlns:th="http://www.thymeleaf.org">
<head>
<meta charset="UTF-8">

<!-- BOOTSTRAP META -->
<meta name="viewport" content="width=device-width, initial-scale=1.0">
<meta http-equiv="X-UA-Compatible" content="ie=edge">
<title>Timeline</title>

<!-- BASIC CSS -->
<link rel="stylesheet" href="/css/basic.css">

<!-- BOOTSTRAP CSS -->
<link rel="stylesheet"
	href="https://maxcdn.bootstrapcdn.com/bootstrap/4.0.0/css/bootstrap.min.css"
	integrity="sha384-Gn5384xqQ1aoWXA+058RXPxPg6fy4IWvTNh0E263XmFcJlSAwiGgFAW/dAiS6JXm"
	crossorigin="anonymous">

<link rel="icon" type="image/png" href="/images/favicon-32x32.png">

</head>

<body>
	<!-- ------------------- -->
	<!-- NAVIGATION -------- -->
	<!-- ------------------- -->

	<nav class="navbar navbar-expand-sm navbar-dark bg-dark">
		<a href="/"><img id="logo" class="navbar-brand" height="80px"
			src="/images/SimpleBookLogo.png"></a>
		<button class="navbar-toggler" data-toggle="collapse"
			data-target="#navbarMenu">
			<span class="navbar-toggler-icon"></span>
		</button>
		<div class="collapse navbar-collapse" id="navbarMenu">
			<a href="/post" class="btn btn-primary btn-lg ml-auto m-3"
				role="button" aria-pressed="true">Post It</a> <a href="/logout"
				class="btn btn-secondary btn-lg" role="button" aria-pressed="true">Log
				Out</a> <a href="/edit-profile"><img id="settings" class="icon"
				src="/images/settings.png"></a>
		</div>

	</nav>


	<!-- ------------------- -->
	<!-- Post Cards -------- -->
	<!-- ------------------- -->
	<p class="welcome text-center">Public Timeline</p>


	<div th:each="postTline: ${posts}" class="mb-4">
		<div class="card" style="width: 50rem; margin: 0 auto">
			<div class="card-header"
				th:text="${postTline.firstname} + ' ' + ${postTline.lastname} "></div>
			<div class="card-body">
				<blockquote class="blockquote mb-0">
					<p th:text="${postTline.summary}"></p>
					<p class="description" th:text="${postTline.content}"></p>
					<button type="button" class="btn float-right like"
						th:id="${postTline.firstname}">
						<a th:href="'/single-user/'+${postTline.userid}" role="button"
							aria-pressed="true">User profil</a>
					</button>
					<footer class="blockquote-footer"
						th:text="${postTline.insDatetime}"></footer>
				</blockquote>
			</div>
		</div>
	</div>



	<!-- 	Bootstrap js -->
	<script src="https://code.jquery.com/jquery-3.2.1.slim.min.js"
		integrity="sha384-KJ3o2DKtIkvYIK3UENzmM7KCkRr/rE9/Qpg6aAZGJwFDMVNA/GpGFF93hXpG5KkN"
		crossorigin="anonymous"></script>
	<script
		src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.12.9/umd/popper.min.js"
		integrity="sha384-ApNbgh9B+Y1QKtv3Rn7W3mgPxhU9K/ScQsAP7hUibX39j7fakFPskvXusvfa0b4Q"
		crossorigin="anonymous"></script>
	<script
		src="https://maxcdn.bootstrapcdn.com/bootstrap/4.0.0/js/bootstrap.min.js"
		integrity="sha384-JZR6Spejh4U02d8jOt6vLEHfe/JQGiRRSQQxSfFWpi1MquVdAyjUar5+76PVCmYl"
		crossorigin="anonymous"></script>



	<!-- Filter function -->
	<script>
		$(document)
				.ready(
						function() {
							$("#myInput")
									.on(
											"keyup",
											function() {
												var value = $(this).val()
														.toLowerCase();
												$("#cards * > div:not(.btn )")
														.filter(
																function() {
																	$(this)
																			.toggle(
																					$(
																							this)
																							.text()
																							.toLowerCase()
																							.indexOf(
																									value) > -1)
																});
											});
						});
	</script>
</body>
</html>